Skip to main content
Properties for Snowflake connections are specified in the properties object when creating or updating a connection. All properties are nested within the connection request body.

Properties

string
required
Authentication type for Snowflake. Use pwd for password authentication or oidc for OIDC authentication. For OIDC, see OIDC properties.
string
required
Snowflake account identifier.Format: {account_identifier}.{region}.{cloud_provider}.snowflakecomputing.com
string
required
Snowflake username for authentication.
object
required
Reference to a Prophecy secret containing the Snowflake password.
  • When using the create connection API, the secret must be stored in Prophecy before creating the connection.
  • When using the create fabric API, replace this whole object with the string {{SECRET}}, which references the secret being created in parallel to the connection.
string
required
Snowflake warehouse where Prophecy will write data by default.
string
required
Database where Prophecy will write data by default.
string
required
Schema where Prophecy will write data by default.
string
required
Snowflake role to use for the connection. Determines the permissions and access level for operations.

OIDC properties

When authType is oidc, omit username and password and provide the following properties instead. The account, warehouse, database, schema, and role properties are the same as for password authentication.
string
required
URL of the token issuer.
string
required
Resource that the token is requested for.
string
required
Client ID of the service principal.
object
Reference to a Prophecy secret containing the service principal client secret. Optional, because the certificate and private key authenticate the service principal.
  • When using the create connection API, the secret must be stored in Prophecy before creating the connection.
  • When using the create fabric API, replace this whole object with the string {{SECRET}}, which references the secret being created in parallel to the connection.
object
required
Reference to a Prophecy secret containing the service principal’s PEM certificate.
  • When using the create connection API, the secret must be stored in Prophecy before creating the connection.
  • When using the create fabric API, replace this whole object with the string {{SECRET}}, which references the secret being created in parallel to the connection.
object
required
Reference to a Prophecy secret containing the service principal’s PEM private key.
  • When using the create connection API, the secret must be stored in Prophecy before creating the connection.
  • When using the create fabric API, replace this whole object with the string {{SECRET}}, which references the secret being created in parallel to the connection.